## gtk_pairs

gtk_pairs —

## Synopsis

    void        (*initGtkPairsFunc)             (void);
    GtkWidget*  (*buildPairsWindowFunc)         ();
    void        (*signalPairsSelectedFunc)      (PairsData *data);
    void        initPairsWindow                 ();
    void        buildPairsDialog                ();
    int         (*setGtkPairsSpecificValueFunc) (PairsData *data,
                                                 gpointer userData);
    gchar*      (*buildGtkPairsSpecificLabelFunc)
                                                (PairsData *data);
    int         gtkPairsSet_specificLabels      (buildGtkPairsSpecificLabelFunc getLabelFunc,
                                                 setGtkPairsSpecificValueFunc setValueFunc,
                                                 gpointer userData);
    gboolean    gtkPairs_isPairExtensionInUse   (PairsExtension *pairs);
    void        gtkPairsBuild_viewport          ();
    void        gtkPairs_createPairs            ();

## Description

## Details

### initGtkPairsFunc ()

    void        (*initGtkPairsFunc)             (void);

### buildPairsWindowFunc ()

    GtkWidget*  (*buildPairsWindowFunc)         ();

Returns : |

### signalPairsSelectedFunc ()

    void        (*signalPairsSelectedFunc)      (PairsData *data);

`data` : |

### initPairsWindow ()

    void        initPairsWindow                 ();

### buildPairsDialog ()

    void        buildPairsDialog                ();

### setGtkPairsSpecificValueFunc ()

    int         (*setGtkPairsSpecificValueFunc) (PairsData *data,
                                                 gpointer userData);

`data` : |
`userData` : |
Returns : |

### buildGtkPairsSpecificLabelFunc ()

    gchar*      (*buildGtkPairsSpecificLabelFunc)
                                                (PairsData *data);

`data` : |
Returns : |

### gtkPairsSet_specificLabels ()

    int         gtkPairsSet_specificLabels      (buildGtkPairsSpecificLabelFunc getLabelFunc,
                                                 setGtkPairsSpecificValueFunc setValueFunc,
                                                 gpointer userData);

`getLabelFunc` : |
`setValueFunc` : |
`userData` : |
Returns : |

### gtkPairs_isPairExtensionInUse ()

    gboolean    gtkPairs_isPairExtensionInUse   (PairsExtension *pairs);

`pairs` : |
Returns : |

### gtkPairsBuild_viewport ()

    void        gtkPairsBuild_viewport          ();

### gtkPairs_createPairs ()

    void        gtkPairs_createPairs            ();

Wrapper to get the current rendering window, retrieve its VisuData and call `createPairs()` with appropriate arguments and then emit 'OpenGLAskForReDraw' if needed.